<?php

require "../vendor/autoload.php";
require "../config.php";
require "../sql/database.php";
require "utils.php";


use App\Connexion;
use App\Controller\FrontController;
use App\Controller\EditorController;
use App\Controller\SampleFormController;
use App\Gateway\FormResultGateway;
use App\Gateway\TacticInfoGateway;
use App\Http\JsonHttpResponse;
use App\Http\ViewHttpResponse;
use App\Model\TacticModel;
use Twig\Loader\FilesystemLoader;
use App\Validation\ValidationFail;
use App\Controller\ErrorController;


$basePath = get_public_path();
$con = new Connexion(get_database());

// routes initialization
$router = new AltoRouter();
$router->setBasePath($basePath);

$frontController = new FrontController($router);
$frontController->route();

//$sampleFormController = new SampleFormController(new FormResultGateway($con), $twig);
//$editorController = new EditorController(new TacticModel(new TacticInfoGateway($con)));


